Bug 16411 - [RFE]Setting reference of Named range fails
Summary: [RFE]Setting reference of Named range fails
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-dev
Hardware: PC All
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-24 23:30 UTC by Marcel
Modified: 2005-03-20 17:06 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel 2003-01-24 23:30:47 UTC
I'm trying to modify a named range in an existing spreadsheet, like so:

HSSFName name = wb.getNameAt(0);
System.out.println("name:"+name.getNameName()+" "+name.getReference()
+" "+name.getSheetName()); 
name.setReference("Verkopen!$A$1:$C$36");
System.out.println("name:"+name.getNameName()+" "+name.getReference()
+" "+name.getSheetName()); 

Outputs:
name:VerkoopData Verkopen!$A$1:$C$19 Verkopen
name:VerkoopData Verkopen!$IU$1:$C$36 Verkopen

The first (unmodified) reference is OK, the second (modified) is obviously 
wrong. 
       
TIA
Comment 1 Marcel 2003-01-24 23:38:26 UTC
Sorry: I'm using jakarta-poi-1.9.0-dev-20030124.jar
Comment 2 Andy Oliver 2003-01-25 01:44:41 UTC
..
Comment 3 Avik Sengupta 2003-01-26 20:31:03 UTC
Reference utils --  crying out for refactoring!!
Comment 4 Danny Mui 2003-03-06 21:12:09 UTC
Fixed as of March 6, 2003 Nightly, test case added to TestNamedRange